osl::PtypeTraits< PAWN > Struct Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions

static const char * | name ()
static const char * | csaName ()

## Static Public Attributes

static const bool | isBasic =true
static const bool | canPromote =true
static const bool | betterToPromote =true
static const Ptype | moveType =PAWN
static const Ptype | basicType =PAWN
static const int | indexMin =0
static const int | indexLimit =18
static const int | dropBlackFromY =2
static const int | dropBlackToY =9
static const int | mayPromoteToY =4
static const int | moveMask =DirectionTraits<U>::mask

## Detailed Description

Definition at line 58 of file ptypeTraits.h.

## Member Function Documentation

## csaName()

const char * osl::PtypeTraits< PAWN >::csaName | ( |  | ) |

inline static

Definition at line 66 of file ptypeTraits.h.

## name()

const char * osl::PtypeTraits< PAWN >::name | ( |  | ) |

inline static

Definition at line 65 of file ptypeTraits.h.

## Member Data Documentation

## basicType

const Ptype osl::PtypeTraits< PAWN >::basicType =PAWN

static

Definition at line 64 of file ptypeTraits.h.

## betterToPromote

const bool osl::PtypeTraits< PAWN >::betterToPromote =true

static

Definition at line 62 of file ptypeTraits.h.

## canPromote

const bool osl::PtypeTraits< PAWN >::canPromote =true

static

Definition at line 61 of file ptypeTraits.h.

## dropBlackFromY

const int osl::PtypeTraits< PAWN >::dropBlackFromY =2

static

Definition at line 69 of file ptypeTraits.h.

## dropBlackToY

const int osl::PtypeTraits< PAWN >::dropBlackToY =9

static

Definition at line 70 of file ptypeTraits.h.

## indexLimit

const int osl::PtypeTraits< PAWN >::indexLimit =18

static

Definition at line 68 of file ptypeTraits.h.

## indexMin

const int osl::PtypeTraits< PAWN >::indexMin =0

static

Definition at line 67 of file ptypeTraits.h.

## isBasic

const bool osl::PtypeTraits< PAWN >::isBasic =true

static

Definition at line 60 of file ptypeTraits.h.

## mayPromoteToY

const int osl::PtypeTraits< PAWN >::mayPromoteToY =4

static

Definition at line 71 of file ptypeTraits.h.

## moveMask

const int osl::PtypeTraits< PAWN >::moveMask =DirectionTraits<U>::mask

static

Definition at line 72 of file ptypeTraits.h.

## moveType

const Ptype osl::PtypeTraits< PAWN >::moveType =PAWN

static

Definition at line 63 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h